<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Entities\Udalost;

use Spatie\Enum\Laravel\Enum;

/**
 * Class StavRegistracie
 *
 * @method static self POVOLENA()
 * @method static self NEPOVOLENA()
 *
 * @package Seka\Portal\Modul\Terminy\Entities\Udalost
 */
final class StavRegistracie extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'POVOLENA' => 'povoliť',
            'NEPOVOLENA' => 'nepovoliť',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        return match ($this->value) {
            'POVOLENA' => '#c0d1d8',
            default => '#efe1e6',
        };
    }
}
